MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032036Open CASCADE[OCCT] OCCT:Visualizationpublic2021-01-03 00:332021-01-12 11:15
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusreviewedResolutionopen 
PlatformMacOSOSOS VersionX
Product Version[OCCT] 7.6.0* 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032036: Visualization, TKOpenGl - broken Cubemap background on GeForce 320M
DescriptionCubemap background is displayed with artifacts on GeForce 320M after 0031649.
Draw[11]> vglinfo
OpenGL info:
  GLvendor: NVIDIA Corporation
  GLdevice: NVIDIA GeForce 320M OpenGL Engine
  GLversion: 2.1 NVIDIA-10.0.35 310.90.10.05b12
  GLSLversion: 1.20
  Max texture size: 8192
  Max FBO dump size: 8192x8192
  Max combined texture units: 16
  Max MSAA samples: 0
  Viewport: 484x423
  GPU memory: 256 MiB
  GPU Texture memory: 237 MiB
  ResolutionRatio: 1
Steps To Reproduce
pload VISUALIZATION
vinit
vbackground -cubemap /Users/kirill/develop/kiara_2k_cube.jpg

TagsNo tags attached.
Test case number
Attached Filespng file icon cubemap_KO.png (219,671 bytes) 2021-01-03 00:33

- Relationships
child of 0031649closedbugmaster Visualization, TKOpenGL - broken skybox in VR output 

-  Notes
(0098012)
git (administrator)
2021-01-03 03:05

Branch CR32036 has been created by kgv.

SHA-1: 24a6c2b4fda6b60bd181d11ff16c7346f05d49d8


Detailed log of new commits:

Author: kgv
Date: Sun Jan 3 03:05:32 2021 +0300

    0032036: Visualization, TKOpenGl - broken Cubemap background on GeForce 320M
    
    Enable GL_DEPTH_CLAMP while rendering skybox to workaround unexpected clamping issue on some GPUs.
(0098013)
kgv (developer)
2021-01-03 11:10

Patch is ready for review
- OCCT branch: CR32036.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32036-master-KGV [^]
(0098024)
git (administrator)
2021-01-09 23:53

Branch CR32036_1 has been created by kgv.

SHA-1: 75c996d3405fa5bb82c6ca29aa761260c34b1be1


Detailed log of new commits:

Author: kgv
Date: Sun Jan 3 03:05:32 2021 +0300

    0032036: Visualization, TKOpenGl - broken Cubemap background on GeForce 320M
    
    Enable GL_DEPTH_CLAMP while rendering skybox to workaround unexpected clamping issue on some GPUs.
(0098084)
osa (developer)
2021-01-12 11:15

The patch was reviewed without remarks

- Issue History
Date Modified Username Field Change
2021-01-03 00:33 kgv New Issue
2021-01-03 00:33 kgv Assigned To => kgv
2021-01-03 00:33 kgv File Added: cubemap_KO.png
2021-01-03 00:33 kgv Steps to Reproduce Updated View Revisions
2021-01-03 00:34 kgv Relationship added child of 0031649
2021-01-03 00:34 kgv Description Updated View Revisions
2021-01-03 03:05 git Note Added: 0098012
2021-01-03 11:10 kgv Note Added: 0098013
2021-01-03 11:10 kgv Assigned To kgv => osa
2021-01-03 11:10 kgv Status new => resolved
2021-01-09 23:53 git Note Added: 0098024
2021-01-12 11:15 osa Note Added: 0098084
2021-01-12 11:15 osa Assigned To osa => bugmaster
2021-01-12 11:15 osa Status resolved => reviewed


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker